package controller

import (
	"time"

	"github.com/gin-gonic/gin"
)

type SystemController struct {
	// service service.Service
	// controller.Api
}

func NewSystemController() *SystemController {
	return &SystemController{
		// service: service.NewI pService(config.WeibuUrl, apiKey),
	}
}

func (c *SystemController) SystemInfo(ctx *gin.Context) {
	ctx.JSON(200, gin.H{
		"model":          "B7b-xxx",
		"description":    "test",
		"latestLearning": time.Now().UnixMilli(),
		"learningPeriod": time.Duration(time.Hour + time.Minute*12 + time.Second*11).String(),
		"modelTime":      time.Now().UnixMilli(),
	})
}
